commit:     6422e3b8538e5da85461bee5661f7b0fc6cd7b3a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 24 18:48:59 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar 24 18:58:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6422e3b8

dev-python/python-docs: Bump to 3.8.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-docs/Manifest                 |  1 +
 dev-python/python-docs/python-docs-3.8.2.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 24 insertions(+)

diff --git a/dev-python/python-docs/Manifest b/dev-python/python-docs/Manifest
index 0383152e5cc..68b7d086b63 100644
--- a/dev-python/python-docs/Manifest
+++ b/dev-python/python-docs/Manifest
@@ -7,3 +7,4 @@ DIST python-3.7.0-docs-html.tar.bz2 6222504 BLAKE2B 
150382e6ce9c241bf8654efc2c75
 DIST python-3.7.6-docs-html.tar.bz2 6248802 BLAKE2B 
b2baff27bf3fc61ebe521b5bf621c265a50336d63ec8c2e14f8f2fa75b552fa4f959b3448ed39ebf18bece46cdc14f8a7a62cae3fcdd4f44e3db09489807bf4f
 SHA512 
52657627dfe088184afbc0827731cf919884f21ae483c934a84e1e93bd1b03fe7b948da8ea8dfc1ba80e0557504d14eab729d22b7230000ba34731e1b866a253
 DIST python-3.7.7-docs-html.tar.bz2 6259882 BLAKE2B 
5ff9dbbf0941385453283a47df2bc7ee085c3c8dd0c2fc0f2b98af766ec31b1f1d1c04586a26f978287ff575641c1710b373a0093fe1b928cd73362e7e30630c
 SHA512 
5a556a0c8dd739c16d7b6105e11ef62adaa939bd784d4f5fa0df26555c7d1908c09626c091dc0bf2d892624274646573c9fde5a5b218adf770bcf7c097976a06
 DIST python-3.8.1-docs-html.tar.bz2 6527362 BLAKE2B 
b13fb15b93f7a244e082b7cc8ceac6fffac5b81bffa5c183c546e19dcf8839ad227d3263cc5662717e46f1daccca7dc1299260c1cadf601ac43dd61d501e256f
 SHA512 
5cfcdce2fc12824d512e59689b070541f461404ff74aa5ab980576af95449c18c9340687a405af6ea48f7f1826f85a26cd86dfbe07acdb984687bc0fdb5a8edd
+DIST python-3.8.2-docs-html.tar.bz2 6536475 BLAKE2B 
f807caa25596aebd8fb441366f7986db0525b9262da906700f167b997795035daa1fe80b8b5ffdfb6c4fa9b552fd55c8546af110e3686a19c855966c58170b4a
 SHA512 
1453770abba67b147a9a8911de3f31972beeea3b7249b1009944635e30e8b4143f1ceaee447dc9f14d85bd09bc67671b922e3e931b8e1279b46ab10ab5c91091

diff --git a/dev-python/python-docs/python-docs-3.8.2.ebuild 
b/dev-python/python-docs/python-docs-3.8.2.ebuild
new file mode 100644
index 00000000000..5f4f8298193
--- /dev/null
+++ b/dev-python/python-docs/python-docs-3.8.2.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="HTML documentation for Python"
+HOMEPAGE="https://www.python.org/doc/";
+SRC_URI="https://www.python.org/ftp/python/doc/${PV}/python-${PV}-docs-html.tar.bz2";
+S="${WORKDIR}/python-${PV}-docs-html"
+
+LICENSE="PSF-2"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86"
+
+src_install() {
+       rm -r _sources || die
+       docinto html
+       dodoc -r .
+
+       newenvd - 60python-docs-${SLOT} <<-EOF
+               
PYTHONDOCS_${SLOT//./_}="${EPREFIX}/usr/share/doc/${PF}/html/library"
+       EOF
+}

Reply via email to